## beecrypt 4.2.1

=== debian/changelog ===
beecrypt (4.2.1-4) unstable; urgency=low

  * QA upload.
  * shorten long description
  * silence lintian's binary-control-field-duplicates-source
  * switch to 3.0 (quilt) format
  * modernize debian/rules:
  - support build-arch build-indep
  - use dpkg-buildflags
  * bump Standards-Version
  * fix upstream's configure not setting OPENMP_LIBS if CFLAGS is set
    (Closes: 558840)
  * call automake explicitly avoiding Makefile.in having another one
    than the automake build-dependency (Closes: 341656)
  * get rid of libs linked against but not used
  * hard-code results to use /dev/random and /dev/urandom
    but not /dev/dsp and /dev/audio. (so that this does not depends
    on the buildd's /dev)
  * fix some debug print statements not ready for 64 bit
    (found by gcc's -Wformat)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 17 Sep 2011 19:47:35 +0200

beecrypt (4.2.1-3) unstable; urgency=low

  * QA upload.
  * Get rid of unneeded *.la files (Closes: #621333).

 -- Alessio Treglia <alessio@debian.org>  Fri, 03 Jun 2011 11:07:44 +0200

beecrypt (4.2.1-2) unstable; urgency=low

  * QA upload.
  * Orphan the package
  * Fix out-of-date-standards-version
  * Fix weak-library-dev-dependency

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 26 Nov 2010 11:55:25 +1100

beecrypt (4.2.1-1) unstable; urgency=low

  * New upstream release 
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 20 Aug 2009 16:34:46 +1000

beecrypt (4.2.0-1) unstable; urgency=low

  * New upstream release 
    New soname
  * Update debian/copyright
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 07 Jul 2009 15:20:32 +1000

beecrypt (4.1.2-8) unstable; urgency=low

  * Standards version is 3.8.1 
  * Set DH_COMPAT to 7
  * Run dh_prep instead of dh_clean -k
  * libbeecrypt6-dev depends on ${misc:Depends}

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 09 Jun 2009 07:40:33 +1000

beecrypt (4.1.2-7) unstable; urgency=low

  * Bumped Standards-Version to 3.7.3
  * Added homepage control header
  * Updated watch file
  * Fixed the following lintian issues:
    - debian-rules-sets-DH_COMPAT
    - debian-rules-ignores-make-clean-error
    - substvar-source-version-is-deprecated libbeecrypt6-dev
    - outdated-autotools-helper-file config.sub 2003-06-18
    - outdated-autotools-helper-file config.guess 2003-06-17
    - dev-package-should-be-section-libdevel libbeecrypt6-dev

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 08 Mar 2008 09:45:17 +1100

beecrypt (4.1.2-6) unstable; urgency=medium

  * Fixed "FTBFS: Error: Unrecognized opcode: `stmg'". Closes: #376832.
    Added variables DEB_{HOST,BUILD}_GNU_TYPE as parameters to
    configure.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 09 Aug 2006 15:05:48 +1000

beecrypt (4.1.2-5) unstable; urgency=low

  * Set Standards-Version to 3.7.2.
  * Set DH_COMPAT to 5.
  * Fixed homepage link in debian/control.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 05 Jul 2006 18:38:10 +1000

beecrypt (4.1.2-4) unstable; urgency=low

  * Fixed watch file.
  * Set DH_COMPAT to 4.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 01 Jan 2006 22:46:53 +1100

beecrypt (4.1.2-3) unstable; urgency=low

  * Fixed "beecrypt(GNU/k*BSD): FTBFS: out of date
    config.sub/config.guess", closes: #332769.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 14 Oct 2005 16:04:46 +1000

beecrypt (4.1.2-2) unstable; urgency=low

  * Set Standards-Version to 3.6.2.
  * Added m4 to build-depends, closes: #320425, #323506.
  * Updated postal address of the FSF in debian/copyright.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 31 Aug 2005 19:40:39 +1000

beecrypt (4.1.2-1) unstable; urgency=low

  * New upstream release, closes: #306768.
    Sync with ubuntu.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 01 May 2005 13:38:31 +1000

beecrypt (2.2.0-pre1-5) unstable; urgency=low

  * Fixed "configure built with broken libtool.m4" (Closes: #295427).
  * Removed autoconf and autotools-dev from Build-Depends.
  * New maintainer (Closes: #266469).

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 19 Feb 2005 19:49:37 +1100

beecrypt (2.2.0-pre1-4) unstable; urgency=low

  * QA Upload
  * Changed Maintainer to Debian QA Group <packages@qa.debian.org>

 -- Stephen Quinney <stephen@jadevine.org.uk>  Tue, 15 Feb 2005 13:42:55 +0000

beecrypt (2.2.0-pre1-3) unstable; urgency=low

  * debian/watch: updated to version 2 

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun,  2 Jun 2002 18:35:06 -0700

beecrypt (2.2.0-pre1-2) unstable; urgency=low

  * moving from non-us to main 

 -- Luca Filipozzi <lfilipoz@debian.org>  Mon, 25 Mar 2002 20:10:23 -0800

beecrypt (2.2.0-pre1-1) unstable; urgency=low

  * New upstream release
    - this version includes DSA (closes: Bug#138639)
    - NB: this version no longer has config.h and config.gnu.h (files I was
      including into /usr/include to make it easy to use beecrypt); these
      files are now automatically installed by upstream as beecrypt.h and
      beecrypt.gnu.h; any source that was including config.h must now include
      beecrypt.h instead

 -- Luca Filipozzi <lfilipoz@debian.org>  Sun, 24 Mar 2002 06:58:57 -0800

beecrypt (2.1.0-3) unstable; urgency=low

  * builds static library [thanks David Kimdon for patch ] (closes: Bug#127269)

 -- Luca Filipozzi <lfilipoz@debian.org>  Tue,  1 Jan 2002 15:58:28 -0800

beecrypt (2.1.0-2) unstable; urgency=low

  * added watch file

 -- Luca Filipozzi <lfilipoz@debian.org>  Wed, 26 Dec 2001 12:55:23 -0800

beecrypt (2.1.0-1) unstable; urgency=low

  * New upstream release

 -- Luca Filipozzi <lfilipoz@debian.org>  Wed, 24 Oct 2001 11:45:19 -0700

beecrypt (2.0.0-3) unstable; urgency=low

  * fixed upstream configure.in and Makefile.in to allow
    beecrypt to compile on hppa (Closes: #101065, #102753)
  * added conflict on beecrypt to beecrypt2 (Closes: #100951)

