=== debian/control ===
Source: beecrypt
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 7), libtool, automake, autoconf, autotools-dev, m4, python-dev
Standards-Version: 3.9.2
Homepage: http://beecrypt.sourceforge.net/

Package: libbeecrypt-dev
Section: libdevel
Architecture: any
Depends: libbeecrypt7 (= ${binary:Version}), ${misc:Depends}
Provides: beecrypt-dev, beecrypt2-dev, libbeecrypt6-dev
Conflicts: beecrypt-dev, beecrypt2-dev, libbeecrypt6-dev
Description: header files for beecrypt, a library of cryptographic algorithms
 BeeCrypt is an open source general purpose cryptography library
 that contains highly optimized C and assembler implementations of
 many well-known algorithms including Blowfish, SHA-1, Diffie-Hellman,
 and ElGamal.
 .
 This package contains the development files for the library.

Package: libbeecrypt7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: beecrypt, beecrypt2, libbeecrypt6
Description: open source C library of cryptographic algorithms
 BeeCrypt is an open source general purpose cryptography library
 that contains highly optimized C and assembler implementations of
 many well-known algorithms including Blowfish, SHA-1, Diffie-Hellman,
 and ElGamal.
