=== debian/watch ===
version=3
http://sf.net/beecrypt/ beecrypt-(.+)\.tar\.gz
